> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/api/glue-plugin-api/flatredball-glue/plugins/flatredball-glue-exportedinterfaces-iprojectcommands-makeabsolute.md).

# flatredball-glue-exportedinterfaces-iprojectcommands-makeabsolute

### Introduction

The MakeAbsolute method takes a relative file name and makes it absolute. If the file is a content file, then the relative path is considered relative to the content project. If the file is a code file, then the relative path is considered relative to the code project.

### Code Example

The following will obtain the absolute folder for the currently-selected element (Screen or Entity):

```
var currentElement = GlueState.Self.CurrentElement;

if(currentElement != null)
{
    var elementNode = GlueState.Self.Find.ScreenTreeNode(screen);

    var folderNode = elementNode.FilesTreeNode;

    string relativePath = folderNode.GetRelativePath();

    bool isContent = true;

    string absolutePath = GlueCommands.Self.ProjectCommands.MakeAbsolute(
        relativePath, isContent);

    // do something with absolutePath here:
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.flatredball.com/flatredball/api/glue-plugin-api/flatredball-glue/plugins/flatredball-glue-exportedinterfaces-iprojectcommands-makeabsolute.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
